package com.engine.salary.enums.siaccount;

import com.engine.salary.enums.BaseEnum;

/**
 * @Description:
 * @Author: zhangheng
 * @CreateDate: 2021/12/6 9:37
 * @Version: v1.0
 */
public enum ResourceFromEnum implements BaseEnum<Integer> {

    SYSTEM(0, "系统核算", 92268),

    Temporary(1, "临时", 92269),

    IMPORT(2,"导入",87622);

    private Integer value;

    private String defaultLable;

    private Integer labelId;

    ResourceFromEnum(Integer value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLable;
    }
}
